Lookup External Resources
Retrieve external resource value
This API is deprecated since 9.1. Alternatives: /form-service/api/custom/resource-actions/external-resources, /workitem/api/workitems/external-resources, /blueprint/api/blueprints/form/external-resources/catalog/api/items/form/external-resources
Request
URI
POST
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/form-service/api/forms/renderer/external-resources
COPY
Request Body
FormExtValueRequest
of type(s)
application/json
Required
{
"item": {
"id": "string",
"label": "string",
"type": "string",
"value": "string",
"description": "string"
},
"filter": "string",
"valueSource": {
"id": "string",
"type": "string",
"parameters": [
{
"$type": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
},
"constraints": {
"constraints": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
},
"parameterMap": {
"parameterMap": {}
}
}
],
"isPageable": false,
"externalSourceProviderType": "string"
},
"valueType": {
"dataType": "string",
"referenceType": "string",
"fields": [
"ComplexTypeField Object"
],
"isMultiple": false
},
"context": {
"context": {
"dataType": "string",
"value": "string"
}
},
"projectId": "string"
}
object
item
Optional
item
string
filter
Optional
filter
object
valueSource
Optional
valueSource
object
valueType
Optional
valueType
object
context
Optional
context
string
projectId
Optional
projectId
Responses
200
'Success' with list of external resources matching search criteria
Returns
FormExtValueResponse
of type(s)
application/json
{
"items": [
{}
],
"totalCount": 0,
"error": "string"
}
array of
object
items
Optional
items
integer As int32
As int32
totalCount
Optional
totalCount
string
error
Optional
error
400
'Bad Request' if external value request is in invalid format
Operation doesn't return any data structure
403
'Forbidden' no forms viewer access rights
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/form-service/api/forms/renderer/external-resources